﻿using System.Text.Json.Serialization;

namespace TestProject;

/// <summary>
/// OLLAMA 요청
/// </summary>
public class OllamaRequest
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 모델 - Model

    /// <summary>
    /// 모델
    /// </summary>
    [JsonPropertyName("model")]
    public string Model { get; set; }

    #endregion
    #region 프롬프트 - Prompt

    /// <summary>
    /// 프롬프트
    /// </summary>
    [JsonPropertyName("prompt")]
    public string Prompt { get; set; }

    #endregion
    #region 스트림 여부 - Stream
    /// <summary>
    /// 스트림 여부
    /// </summary>
    [JsonPropertyName("stream")]
    public bool Stream { get; set; }

    #endregion
}