﻿using System.Text.Json.Serialization;

namespace TestProject;

/// <summary>
/// OLLAMA 응답
/// </summary>
public class OllamaResponse
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 모델 - Model

    /// <summary>
    /// 모델
    /// </summary>
    [JsonPropertyName("model")]
    public string Model { get; set; }

    #endregion
    #region 응답 - Response

    /// <summary>
    /// 응답
    /// </summary>
    [JsonPropertyName("response")]
    public string Response { get; set; }

    #endregion
    #region 완료 여부 - Done

    /// <summary>
    /// 완료 여부
    /// </summary>
    [JsonPropertyName("done")]
    public bool Done { get; set; }

    #endregion
}